import { ILogger } from 'ts-smart-logger';
import { BaseChannel } from '../base-channel.service';
import { ISignalRChannelConfigEntity } from './signalr-channel.interface';
/**
 * @service
 * @stable [04.11.2020]
 */
export declare class SignalRChannel extends BaseChannel<ISignalRChannelConfigEntity> {
    protected static readonly logger: ILogger;
    /**
     * @stable [04.11.2020]
     */
    constructor();
    /**
     * @stable [04.11.2020]
     * @param ip
     * @param config
     */
    connect(ip: string, config?: ISignalRChannelConfigEntity): void;
}
